API7 Docs

Delete an API product in Provider Portal

DELETE /api/api_products/{api_product_id}

DELETE /api/api_products/{api_product_id}

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Path Parameters

api_product_id*string

The unique identifier of the API product.

Match^[a-zA-Z0-9-_.]+$
Length1 <= length <= 256

Query Parameters

portal_id?string

The unique identifier of the portal instance.

Match^[a-zA-Z0-9-_.]+$
Length1 <= length <= 256
Default"default"

Response Body

application/json

application/json

curl -X DELETE "$API_BASE_URL/api/api_products/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101"

Operation completed successfully with no response body.

""
Complete operation details and schema variants

DELETE /api/api_products/{api_product_id}

Delete an API product in Provider Portal

IAM Action: portal:DeleteAPIProduct, Resource: arn:api7:portal:portal/%s/apiproduct/%s

Parameters

  • api_product_id (path, string, required): The unique identifier of the API product.
  • portal_id (query, string, optional): The unique identifier of the portal instance.

Responses

  • 200: Operation completed successfully with no response body.
  • 400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
  • value (object, optional): The specific resource.
  • error_msg (string, optional): The error message.

cURL

curl -X DELETE '$API_BASE_URL/api/api_products/{api_product_id}'